Bug 516532 - Review Request: globus-scheduler-event-generator - Globus Toolkit - Scheduler Event Generator
Summary: Review Request: globus-scheduler-event-generator - Globus Toolkit - Scheduler...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 516518
Blocks: 516536
TreeView+ depends on / blocked
 
Reported: 2009-08-10 11:03 UTC by Mattias Ellert
Modified: 2009-11-18 20:21 UTC (History)
3 users (show)

Fixed In Version: 2.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 12:35:16 UTC
Type: ---
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-08-10 11:03:19 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-scheduler-event-generator.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-scheduler-event-generator-2.1-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-scheduler-event-generator package contains:
Scheduler Event Generator

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Comment 1 Steve Traylen 2009-10-18 02:42:07 UTC
$ rpmlint globus-scheduler-event-generator.spec ../SRPMS/globus-scheduler-event-generator-2.1-1.fc11.src.rpm ../RPMS/x86_64/globus-scheduler-event-generator-* ../RPMS/noarch/globus-scheduler-event-generator-doc-2.1-1.fc11.noarch.rpm 
globus-scheduler-event-generator-debuginfo.x86_64: E: description-line-too-long This package provides debug information for package globus-scheduler-event-generator.
globus-scheduler-event-generator-devel.x86_64: W: no-documentation
globus-scheduler-event-generator-progs.x86_64: W: no-documentation
6 packages and 1 specfiles checked; 1 errors, 2 warnings.

line to long.

Comment 2 Mattias Ellert 2009-10-19 11:35:32 UTC
(In reply to comment #1)
> line to long.  

The discussion in bug 516516, comment 2 applies here as well.

Quoting the above reference:
"The definition of the description of the debuginfo package is not part if the specfile, but is defined in the %debug_info macro."

Comment 3 Steve Traylen 2009-11-01 18:39:20 UTC
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1781516

Review of globus-scheduler-event-generator:

yes: rpmlint

$ rpmlint SRPMS/globus-scheduler-event-generator-2.1-1.fc12.src.rpm \ 
          RPMS/noarch/globus-scheduler-event-generator-doc-2.1-1.fc12.noarch.rpm \
          RPMS/x86_64/globus-scheduler-event-generator-* \
          SRPMS/globus-scheduler-event-generator-2.1-1.fc12.src.rpm 
globus-scheduler-event-generator-debuginfo.x86_64: E: description-line-too-long This package provides debug information for package globus-scheduler-event-generator.
globus-scheduler-event-generator-devel.x86_64: W: no-documentation
globus-scheduler-event-generator-progs.x86_64: W: no-documentation
7 packages and 0 specfiles checked; 1 errors, 2 warnings.

which is all fine.

yes: Package name
yes: spec file name
yes: general and globus guidelines.
yes: license in spec
yes: matches actual license.
yes: GLOUBUS_LICESNSE file included.
yes: English spec file
yes: legible spec file.
yes: source matches.
yes: comnpiles, see koji above.
yes: compiles on all arches anyway.
yes: build requires good.
yes: no locales anyway.
yes: calls ldconfig suitably.
yes: no system libs.
yes: not relocatable.
yes: owns all files and dirs.
yes: no duplicate files.
yes: all default perms.
yes: %clean has a rm -rf 
yes: consistant macros
yes: code is present.
yes: docs are in a docs package.
yes: docs not needed runtime.
yes: header files in -devel package.
yes: no static files anyway.
yes: no .la files.
yes: no gui part anyway.
yes: does not own files from other packages.
yes. %install is cleared first.
yes: utf8 filenames.

an easy approve:

APPROVED:

Steve

Comment 4 Mattias Ellert 2009-11-02 08:26:08 UTC
Many thanks for the review!

New Package CVS Request
=======================
Package Name: globus-scheduler-event-generator
Short Description: Globus Toolkit - Scheduler Event Generator
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 5 Kevin Fenzi 2009-11-03 04:36:59 UTC
cvs done.

Comment 6 Fedora Update System 2009-11-03 10:08:13 UTC
globus-scheduler-event-generator-2.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-scheduler-event-generator-2.1-1.fc11

Comment 7 Fedora Update System 2009-11-03 10:08:15 UTC
globus-scheduler-event-generator-2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-scheduler-event-generator-2.1-1.el5

Comment 8 Fedora Update System 2009-11-03 10:08:22 UTC
globus-scheduler-event-generator-2.1-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-scheduler-event-generator-2.1-1.el4

Comment 9 Fedora Update System 2009-11-04 12:35:10 UTC
globus-scheduler-event-generator-2.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-11-18 20:19:20 UTC
globus-scheduler-event-generator-2.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-18 20:21:10 UTC
globus-scheduler-event-generator-2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.